/*
 Theme Name:     Modern Method Roofing
 Theme URI:      https://visionarydv.com/
 Description:    Official Website Theme Modern Method Roofing
 Author:         Nalin Herath
 Author URI:     https://visionarydv.com/
 Template:       Divi
 Version:        1.0.0
*/
 
 
/*Mobile Menu Styles*/
.et_mobile_menu .first-level > a {
	background-color: transparent;
	position: relative;
}
.et_mobile_menu .first-level > a:after {
	font-family: 'ETmodules';
	content: '\4c';
	font-weight: normal;
	position: absolute;
	font-size: 16px;
	top: 13px;
	right: 10px;
}
.et_mobile_menu .first-level > .icon-switch:after{
	content: '\4d';
}
.second-level {
	display: none;
}
.reveal-items {
	display: block;
}

.footer-links h5 {
	margin-bottom: 16px;
	padding-bottom: 0;
}

.footer-links a {
	display: inline-block;
	margin-bottom: 11px;
}

.top-nav #menu-main-menu {
	column-gap: 17px;
	margin-right: 4px;
}

.top-nav #menu-main-menu li {
	padding: 0;
}

.top-nav .et_pb_menu__wrap {
	justify-content: flex-end !important;
	margin-right: 10px;
}

@media screen and (min-width:1380px) {
	.top-nav .et_pb_menu__menu {
		justify-content: center;
		flex: 100%;
		margin-left: 10px;
	}
	
	.top-nav .et_pb_menu__wrap {
		margin-right: 0px;
	}
}

.top-nav-mb .et_mobile_nav_menu {
	margin: 0;
}

.et_pb_module .mobile_menu_bar:before {
	top: 0;
}

.hero-bg {
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	transition: background-image 2.5s ease-in-out;
}

.gform_required_legend {
	display: none;
}

.estimate-form .gfield_label, .estimate-form textarea::placeholder, .estimate-form input::placeholder {
	font-weight: 300 !important;
	font-size: 14px !important;
	line-height: 14px !important;
	margin-bottom: 12px !important;
}

.estimate-form textarea::placeholder, .estimate-form input::placeholder {
	color: rgba(214, 214, 214, 1) !important;
}

.estimate-form textarea, .estimate-form input {
	border: 1px solid rgba(0, 86, 166, 0.27) !important;
	padding: 10px 15px !important;
}

.estimate-form textarea {
	height: 128px !important;
}

@media screen and (max-width: 680px) {
	.estimate-form textarea, .estimate-form input {
		padding: 10px 16px !important;
	}
	
	.estimate-form textarea {
		height: 75px !important;
	}
}

.estimate-form input[type="submit"] { display: none; }

.estimate-form-submit {
	width: 100%;
	font-weight: 600;
	font-size: 16px;
	text-transform: uppercase;
	color: #fff;
	background: #000;
	cursor: pointer;
	padding: 21px 18px;
	border: none;
	display: flex;
	justify-content: center;
	column-gap: 10px;
}

.estimate-form-submit:hover {
		background: #fff;
		color: #000;
}

.gform_wrapper .gfield_required {
	color: #fff;
}

.estimate-form-submit::before, .estimate-form-submit::after {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Intersect.svg');
	position: relative;
	top: 2px;
}

.estimate-form-submit:hover::before, .estimate-form-submit:hover::after {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Intersect-2-1.svg');
}

.gform_footer {
	display: none !important;
}

.mrm-footer .et_pb_row {
	width: 90%;
}

@media screen and (max-width: 480px) {
	.mrm-footer .et_pb_row {
		width: 100%;
		padding-right: 20px;
		padding-left: 20px;
	}
}

.btn-sp {
	display: flex;
	justify-content: center;
	column-gap: 10px;
	padding: 20px;
	border: 1px solid #fff;
}

.btn-sp::before, .btn-sp::after {
	position: relative;
/* 	top: 2px; */
}

.btn-transparent {
	border: 1px solid #fff;
	color: #fff;
	background: transparent;
}

.btn-transparent::before, .btn-transparent::after, .btn-white:hover::before, .btn-white:hover::after {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Intersect.svg');
}

.btn-sp-2, .btn-sp-3 {
	border: 1px solid #0055A5;
}

.btn-sp-3 {
	background: #0055A5;
}

.btn-transparent:hover {
	color: #0055A5;
	background: #fff;
}

.btn-white {
	background: #fff;
}

.btn-white::before, .btn-white::after, .btn-transparent:hover::before, .btn-transparent:hover::after {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Intersect-2.svg');
}

.btn-white:hover {
	background: #0055A5;
	color: #fff;
}

.et_pb_main_blurb_image {
	margin-bottom: 16px;
}

.et_pb_main_blurb_image img {
	margin: 0 auto;
}

.play-btn {
	cursor: pointer;
}

.why-slider .slick-slide {
	margin-bottom: 0 !important;
}

.why-slider .slick-prev::before, .why-slider .slick-next::before, .display-posts-listing .slick-prev::before, .display-posts-listing .slick-next::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-78.svg');
}

.why-slider .slick-prev, .display-posts-listing .slick-prev {
	transform: rotate(-180deg);
}

.why-slider .slick-dots {
	padding: 0;
	position: relative;
}


.why-slider .slick-dots button {
	padding: 0;
}

.why-slider .slick-dots li button::before, .projects-slider .slick-dots li button::before, .display-posts-listing .slick-dots li button::before, .services-slider .slick-dots li button::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Ellipse.svg')
}

.projects-slider .slick-list {
	padding-right: 45%;
}

@media screen and (max-width: 680px) {
	.projects-slider .slick-list {
		padding-right: 0%;
	}
}

@media screen and (min-width: 1000px) {
	.bg-hero-slider-desktop {
		height: 120vh;
	}
}

.hover-effect {
/*   width: 310px; */
/*   height: 340px; */
/*   border-bottom: 8px solid #0056A6; */
  height: 260px;
  position: relative;
}

.hover-effect::after {
    content: "";
    display: flex;
    position: absolute;
    width: 100%;
    height: 8px;
    background: #0056A6;
    z-index: 9;
    bottom: 0;

}

.hover-effect img {
/*   width: inherit; */
  width: 175px;
  height: auto;
  margin: auto;
  border-radius: 100%;
  object-fit: cover;
}
.hover-effect .hover-txt {
  position: absolute;
  margin: auto;
  width: 100%;
  background: #fff;
  bottom: 0;
}
.hover-effect .hover-txt h3 {
  font-family: Poppins;
  font-weight: 700;
  font-style: Bold;
  font-size: 24px;
  line-height: 30px;
  letter-spacing: 0%;
  text-align: center;
  color: #0056A6;
  padding-top: 15px !important;
/*   border-bottom: 8px solid #0056A6; */
}
.hover-effect .hover-txt h3,
.hover-effect .hover-txt p {
  text-align: center;
  margin: 0;
  padding: 23px 15px;
}
.hover-effect .hover-txt p {
  font-family: Poppins;
  font-weight: 400;
  font-style: Regular;
  font-size: 16px;
  line-height: 28px;
  letter-spacing: 0%;
  text-align: center;
  color: #434343;
  padding-top: 0;
}
.hover-effect .hover-txt .hover-para {
  opacity: 0;
	  transform: translateY(-150px);
  transition: opacity 0.3s ease-in-out, transform 0.5s ease-in-out;
  display: none;
/*   position: absolute; */

	
  visibility: hidden;
}

.hover-effect:hover .hover-txt {
  bottom: 0;
}
.hover-effect:hover .hover-txt h3 {
  border: none;
}
.hover-effect:hover .hover-txt .hover-para {
  opacity: 1;
  display: block;
  transform: translateY(0);
  visibility: visible;
}

.project {
	margin-bottom: 0 !important;
}

.project .et_pb_code_inner {
	position: relative;
	height: inherit;
}

.hover-effect-2 .et_pb_blurb_container {
	position: absolute;
	bottom: 24px;
	background: linear-gradient(0deg, #04102D 0%, rgba(0, 86, 166, 0) 100%);
	padding: 40px;
/* 	color: #fff; */
}

.hover-effect-2 .et_pb_blurb_container .et_pb_blurb_description {
	display: none;
	position: relative;
    bottom: -22px;
	transition: display 0.3s ease-in-out, bottom 0.3s ease-in-out;
}

.hover-effect-2 .et_pb_blurb_container .et_pb_blurb_description::after {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/weui_arrow-filled.svg');
	position: relative;
    top: 2px;
    margin-left: 10px;
	
}

.hover-effect-2:hover .et_pb_blurb_container .et_pb_blurb_description {
	display: inline-flex;
	bottom: 0;
	transition: top 0.3s ease-in-out;
}

.hover-effect-2 .et_pb_blurb_container .et_pb_blurb_description:hover {
	top: 6px;
}

.hover-effect-2 .et_pb_main_blurb_image img {
/* 	width: 100%; */
	height: 607px;
	object-fit: cover;
}

@media screen and (max-width: 680px) {
	.hover-effect-2 .et_pb_blurb_container .et_pb_blurb_description {
		display: inline-flex;
		bottom: 0;
	}
}

/* .hover-effect-2 h3 .hover-effect-2 p {
	color: #fff !important;
} */

.phone a {
	transition: color 0.3s ease-in-out;
}

.phone a::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/eva_phone-call-outline-1-1.svg');
	margin-right: 10px;
	position: relative; 
	top: 2px;
	transition: content 0.3s ease-in-out;
}

.phone-mb a::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/eva_phone-call-outline-2.svg');
}

.phone a:hover::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/eva_phone-call-outline-1.svg');
}

.why-slider .slick-prev:hover::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-79-1.svg');
}

.why-slider .slick-next:hover::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-79-1.svg');
}

.list-sp li {
	list-style: none;
	/*display: flex;
	align-items: center;*/
}

.list-sp li::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-77.svg');
	position: relative;
	top: 11px;
	margin-right: 10px;
}

.hidden-txt {
max-height: 0;
overflow: hidden;
transition: max-height 0.5s ease-in-out;
}

.show-txt {
transition: max-height 0.5s ease-in-out;
}

/* Button Styles */
.read-btn {
display: block;
margin: auto;
font-size: 16px;
font-weight: 400 !important;
color: #0053a0;
text-transform: uppercase;
border: none;
background: none;
cursor: pointer;
transition: margin-top 0.3s ease-in-out;
text-align: center;
display: flex;
align-items: center;
padding-left: 0;
margin-left: 0;
}

@media screen and (max-width: 680px) {
	.read-btn {
		margin: auto;
	}
}
/* 
.read-btn::after {
content: url('https://www.ledcraftinc.com/wp-content/uploads/2025/07/fi-rr-angle-up.svg');
margin-left: 10px;
transition: transform 0.3s ease-in-out;
display: inline-block;
position: relative;
top: 2px;
} */

.read-btn.open::after {
transform: rotate(-180deg);
}

.listing-item {
	position: relative;
	margin: 0 8px;
}

.listing-item, .listing-item .image img {
/* 	width: 416px; */
	height: 376px;
}

.listing-child {
	display: flex !important;
	flex-direction: column;
	background: linear-gradient(0deg, #04102D 0%, rgba(0, 86, 166, 0) 100%);
	position: absolute;
	bottom: 0;
	padding: 30px;
}

.listing-child .title {
	font-family: Poppins;
font-weight: 700;
font-style: Bold;
font-size: 24px;
leading-trim: NONE;
line-height: 30px;
letter-spacing: 0%;
color: #fff;
margin-bottom: 20px;
}

.excerpt {
	    display: none;
    position: relative;
    bottom: -22px;
    transition: display 0.3s ease-in-out, bottom 0.3s ease-in-out;
	font-family: Poppins;
font-weight: 400;
font-style: Regular;
font-size: 16px;
leading-trim: NONE;
line-height: 28px;
letter-spacing: 0%;
vertical-align: middle;
color: #fff;
	
}

.listing-item:hover .excerpt {
	display: inline-flex;
	bottom: 0;
}

@media screen and (max-width: 480px) {
	.listing-item:hover .excerpt {
	display: none;
}

	.display-posts-listing .slick-dots {
		    padding: 0;
    /* top: 88px; */
    bottom: -45px;
	}
	
}

.email::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/mi_email-1.svg');
}

.phone::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/eva_phone-call-outline-3.svg')
}

.address::before {
	content: url('https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/ri_map-pin-line.svg');
}

.email::before, .phone::before, .address::before {
	position: relative;
	top: 2px;
	margin-right: 20px;
	width: 24px;
}

.bio-image img {
	height: 500px;
	object-fit: cover;
}

.mmr-blog-module article {
/*     box-shadow: 0px 0px 33.1px 4px rgba(0, 0, 0, 0.03); */
    /* border-radius: 5px !important; */
    margin-bottom: 30px !important;
    display: flex;
/*     column-gap: 40px; */
    border-bottom: 1px solid #43434338 !important;
    /* flex-wrap: wrap; */
}



.mmr-blog-module article .content-wrapper {
/*     padding-top: 10px; */
/*     width: 50%; */
	width: 60%;
}

.mmr-blog-module article .entry-featured-image-url {
    width: 40%;
	margin-right: 40px;
}

@media screen and (max-width: 680px) {
	.mmr-blog-module article .entry-featured-image-url {
	margin-right: 0;
}
}

.mmr-blog-module article .entry-featured-image-url img {
    width: 520px;
    height: 340px;
    object-fit: cover;
}

@media screen and (max-width: 580px) {
    .mmr-blog-module article {
        flex-wrap: wrap;
        padding-bottom: 20px;
    }
    
    .mmr-blog-module article .content-wrapper  {
        width: 100%;
    }

    .mmr-blog-module article .entry-featured-image-url {
        width: 100%;
    }
}

@media screen and (max-width: 520px) {
    .mmr-blog-module article .entry-featured-image-url img {
        height: 200px;
    }
}

.mmr-blog-module article .more-link {
	margin-top: 20px;
}
.wp-pagenavi {
	float: right;
}

.wp-pagenavi .pages,.wp-pagenavi .last {
	border: none !important;
}

.service-type .et_pb_blurb_container {
	bottom: 15px !important;
}

.service-item {
	display: flex;
	align-items: flex-start;
}

.radio-btn .gfield_radio {
	display: flex;
	flex-direction: row;
}

.top-nav-btn {
	width: fit-content;
	float: right;
}

.top-nav-btn a {
	display: flex;
	align-items: center;
	    margin: auto;
    margin-right: 0;
}

.top-nav-btn a::before {
	content: "";
	background-image: url(https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/eva_phone-call-outline-6.svg);
	margin-right: 10px;
	width: 30px;
	height: 30px;
	background-size: contain;
}

.header-col {
	margin-right: 0 !important;
}

.menu-container, .menu-container .et_pb_menu__menu {
	width: 100%;
}

.et-menu-nav, .et-menu-nav .nav {
	width: 100%;
	justify-content: space-between !important;
	margin: auto;
}

.mobile-menu .et_pb_menu__wrap {
	justify-content: flex-end;
}

#mobile_menu2 {
	width: 100vw;
	left: -140%;
}

.project-prev-btn::after, .pojects-nxt-btn::after {
	content: url("https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-78.svg");
}

#gform_4 .gfield_label {
	font-weight: 600 !important;
}

#gform_4 .gform_wrapper .gfield_required {
	color: #0056a6;
}

#featured_video {
	overflow: hidden;
}

#et-boc .area-outer-wrap[data-da-color=light] .da-close {
	background: #fff; }

.post-body .et_pb_section {
	padding-top: 0;
}

.post-body .et_pb_row {
	margin: 0 !important;
	width: 100% !important;
}

.et_pb_title_container {
	margin-bottom: 30px;
}

.et_mobile_menu .first-level > a {
background-color: transparent;
position: relative;
}
.et_mobile_menu .first-level > a:after {
font-family: 'ETmodules';
content: '\4c';
font-weight: normal;
position: absolute;
font-size: 16px;
top: 13px;
right: 10px;
}
.et_mobile_menu .first-level > .icon-switch:after{
content: '\4d';
}
.second-level {
display: none;
}
.reveal-items {
display: block;
}
.projects-prev-btn, 
.projects-nxt-btn, 
.testi-prev-btn, 
.testi-nxt-btn {
	width: 55px;
	height: 55px;
	cursor: pointer;
	transition: background-image 0.3s ease-in-out;
}
        
.projects-prev-btn::after, 
.projects-nxt-btn::after,
.testi-prev-btn::after,
.testi-nxt-btn::after  {
	content: "";
	background-image: url(https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-78.svg);
	width: 55px;
	height: 55px;
	display: block;
	background-size: contain;
	background-repeat: no-repeat;
}

.testi-prev-btn::after,
.testi-nxt-btn::after {
	background-image: url(https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-78-1.svg) !important;
}

.projects-prev-btn:hover::after, 
.projects-nxt-btn:hover::after,
.testi-prev-btn:hover::after,
.testi-nxt-btn:hover::after {
	background-image: url(https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-79-1.svg) !important;
}

.display-posts-listing .slick-prev:hover::before,
.display-posts-listing .slick-next:hover::before {
	content: url(https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/Group-79-1.svg) !important;
}

.top-nav-btn a:hover::before {
	background-image: url(https://wordpress-942001-5902958.cloudwaysapps.com/wp-content/uploads/2025/10/eva_phone-call-outline-7.svg);
}

.hover-para a {
	position: relative;
	transition: top 0.3s ease-in-out;
}

.hover-para a:hover {
	top: 5px;
	color: #464646;
}

#menu-main-menu li {
	padding-left: 0px;
	padding-right: 0px;
}

.footer-img img {
	object-fit: cover;
}

#featured_video::-webkit-scrollbar {
  display: none;
}

.more-link {
	font-weight: 700 !important;
}

.sub-menu li a, .sub-menu li {
	width: 100% !important;
}